
## Replaced with code below from Casper as retro was having problems due to one of the 
## variance parameters tendingtowards zero and causing NAs. Assessemnt was fine though.
## DS Sept 20 2021


#library(stockassessment)
#setwd("run")
#load("data.RData")
#conf<-loadConf(dat,"../conf/model.cfg", patch=TRUE)
#par<-defpar(dat,conf)
#fit<-sam.fit(dat,conf,par)
#if(fit$opt$convergence!=0) stop("Model did not converge.")
#save(fit, file="model.RData")


library(stockassessment)
setwd("run")
load("data.RData")
conf<-loadConf(dat,"../conf/model.cfg", patch=TRUE)
par<-defpar(dat,conf)
par$logSdLogN[2] = -3   ## fix to almost deterministic survival
fit<-sam.fit(dat,conf,par,map=list(logSdLogN=factor(c(1,NA))))
if(fit$opt$convergence!=0) stop("Model did not converge.")
save(fit, file="model.RData")
